#! /bin/sh

case "$2" in
   online)
      status="available"
      skype_status="online"
   ;;

   busy|dnd)
      status="unavailable"
      skype_status="dnd"
   ;;

   xa)
      status="extended_away"
      skype_status="na"
   ;;

   *) status="$2"
      skype_status="$2"
   ;;
esac

case "$LC_CTYPE" in
   *KOI8-R)
      title="$3"
      status_msg="`echo \"$3\" | iconv -t utf-8`"
   ;;

   *)
      title="`echo \"$3\" | iconv -f koi8-r`"
      status_msg="$title"
   ;;
esac

xtitle "$1" "$2" "$title" &&
if [ "`gajim-remote check_gajim_running 2>/dev/null`" = True ]; then
   gajim-remote change_status "$2" "$title"
else
   purple-remote "setstatus?status=$status&message=$status_msg"
fi
exec skype_status_mood.py "$skype_status" "$3" >/dev/null 2>&1
